function[C]=opt_neomezeny_n(n,lambda,mi,c1,c2);
% [C]=opt_neomezeny_n(n,lambda,mi,c1,c2)
%
% Vypot hodnotu kriteriln funkce v systmu hromadn
% obsluhy M|M|n|Inf|FIFO.
%
% Vstupn parametry:
% n ......... poet linek obsluhy
% lambda .... parametr vstupnho proudu
% mi ........ parametr obsluhy
% c1 ........ nklady na ekajcho zkaznka
% c2 ........ nklady na nevyuitou linku obsluhy
%
% Vstupn parametry:
% C ......... hodnota kriteriln funkce pro n linek obsluhy
%             (celkov prmrn nklady na provoz systmu)

beta=lambda/mi;
ro=beta/n;
if ro<1
  a0=inv(sum(beta.^(0:n-1)./factorial(0:n-1))+n*beta^n/factorial(n)/(n-beta));
  an=beta^n*a0/factorial(n);
  C=c1*an*ro/(1-ro)^2+c2*(n-n*ro);
else
error('System se neme stabilizovat. Intenzita provozu je vt ne 1.')
end;