function[a]=stac_neom_1(k,lambda,mi);
% [a]=stac_neom_1(k,lambda,mi)
% 
% Pot prvky a0,a1,...,ak stacionrnho rozloen
% systmu hromadn obsluhy M|M|1|Inf|FIFO.
%
% Vstupn parametry:
% k ......... index poslednho prvku stacionrnho rozloen
% lambda .... parametr vstupnho proudu
% mi ........ parametr obsluhy
%
% Vstupn parametry:
% a ......... stacionrn rozloen (a=(a0,a1,...,ak))
% (aj ....... pst, e v systmu je prv j zkaznk)

ro=lambda/mi;
if ro<1
  a(1:k+1)=(1-ro)*ro.^(0:k);
else
  error('System se neme stabilizovat. Intenzita provozu je vt ne 1.')
end;