function MMnmFIFO(lambda,mi,n,m)

%funkce pro specialni pripad SHO typu: M|M|n|m|FIFO
%vstupni parametry:
%lambda...parametr vstupniho proudu tohoto systemu
%mi...parametr rozlozeni doby obsluhy
%n...pocet linek obsluhy
%m...kapacita systemu

beta=lambda/mi;
rho=beta/n;

j=0:n-1;
a01=(1./factorial(j))*(beta.^j)';
j=n:m;
a02=((n^n)/factorial(n))*(sum(rho.^j));
a0=inv(a01+a02);
disp('a0')
disp(a0)
j=1:n;
a1=(1./factorial(j)).*((beta.^j)*a0);
j=n+1:m;
a2=((n^n)*a0*(rho.^j))/factorial(n);
a=[a1,a2];
Pz=a(1,m);
disp('Pravdepodobnost, ze prichozi zakaznik bude odmitnut:')
disp(Pz)
if m==n
Pq=0;
disp('Pravdepodobnost, ze prichozi zakaznik bude cekat ve fronte:')
disp(Pq)
lambdap=lambda*(1-Pz);
disp('Stredni hodnota poctu prijatych zakazniku za jednotku casu:')
disp(lambdap)
lambdaz=lambda*Pz;
disp('Stredni hodnota poctu odmitnutych zakazniku za jednotku casu:')
disp(lambdaz)
j=1:m;
EN=sum(j.*a);
j=n+1:m;
b=a(1,j);
ENq=0;
ENs=beta*(1-Pz);
EW=EN/lambda;
EWs=ENs/lambda;
EWq=0;
kappa=rho*(1-Pz);
a=[a0,a1,a2];
disp('Stredni hodnota poctu zakazniku v systemu:')
disp(EN)
disp('Stredni hodnota poctu zakazniku ve fronte:')
disp(ENq)
disp('Stredni hodnota poctu obsluhovanych zakazniku:')
disp(ENs)
disp('Stredni hodnota doby cekani:')
disp(EW)
disp('Stredni hodnota doby cekani v systemu:')
disp(EWs)
disp('Stredni hodnota doby cekani ve fronte:')
disp(EWq)
disp('Vyuziti systemu:')
disp(kappa)
disp('Stacionarni rozlozeni:')
disp(a)
disp('Symbolicky vypis:')
Pz, Pq, lambdap, lambdaz, EN, ENq, ENs, EW, EWq, EWs, kappa
else
    if rho==1 Pq=a(1,n)*(m-n);
else Pq=a(1,n)*(1-rho^(m-n))/(1-rho);
    end
disp('Pravdepodobnost, ze prichozi zakaznik bude cekat ve fronte:')
disp(Pq)
lambdap=lambda*(1-Pz);
disp('Stredni hodnota poctu prijatych zakazniku za jednotku casu:')
disp(lambdap)
lambdaz=lambda*Pz;
disp('Stredni hodnota poctu odmitnutych zakazniku za jednotku casu:')
disp(lambdaz)
j=1:m;
EN=sum(j.*a);
j=n+1:m;
b=a(1,j);
ENq=sum((j-n).*b);
ENs=beta*(1-Pz);
EW=EN/lambda;
EWs=ENs/lambda;
EWq=EW-EWs;
kappa=rho*(1-Pz);
a=[a0,a1,a2];
disp('Stredni hodnota poctu zakazniku v systemu:')
disp(EN)
disp('Stredni hodnota poctu zakazniku ve fronte:')
disp(ENq)
disp('Stredni hodnota poctu obsluhovanych zakazniku:')
disp(ENs)
disp('Stredni hodnota doby stravene v systemu:')
disp(EW)
disp('Stredni hodnota doby cekani v systemu:')
disp(EWs)
disp('Stredni hodnota doby cekani ve fronte:')
disp(EWq)
disp('Vyuziti systemu:')
disp(kappa)
disp('Stacionarni rozlozeni:')
disp(a)
disp('Symbolicky vypis')
Pz, Pq, lambdap, lambdaz, EN, ENq, ENs, EW, EWq, EWs, kappa
end

